vsgImGui: ImPlotAxis Struct Reference

vsgImGui 0.5.0 VulkanSceneGraph, ImGui and ImPlot integration library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ImPlotAxis Struct Reference
Collaboration diagram for ImPlotAxis:
[legend]

## Public Member Functions
void | Reset ()
bool | SetMin (double _min, bool force=false)
bool | SetMax (double _max, bool force=false)
void | SetRange (double v1, double v2)
void | SetRange (const ImPlotRange &range)
void | SetAspect (double unit_per_pix)
float | PixelSize () const
double | GetAspect () const
void | Constrain ()
void | UpdateTransformCache ()
float | PlotToPixels (double plt) const
double | PixelsToPlot (float pix) const
void | ExtendFit (double v)
void | ExtendFitWith (ImPlotAxis &alt, double v, double v_alt)
void | ApplyFit (float padding)
bool | HasLabel () const
bool | HasGridLines () const
bool | HasTickLabels () const
bool | HasTickMarks () const
bool | WillRender () const
bool | IsOpposite () const
bool | IsInverted () const
bool | IsForeground () const
bool | IsAutoFitting () const
bool | CanInitFit () const
bool | IsRangeLocked () const
bool | IsLockedMin () const
bool | IsLockedMax () const
bool | IsLocked () const
bool | IsInputLockedMin () const
bool | IsInputLockedMax () const
bool | IsInputLocked () const
bool | HasMenus () const
bool | IsPanLocked (bool increasing)
void | PushLinks ()
void | PullLinks ()

## Public Attributes
ImGuiID | ID
ImPlotAxisFlags | Flags
ImPlotAxisFlags | PreviousFlags
ImPlotRange | Range
ImPlotCond | RangeCond
ImPlotScale | Scale
ImPlotRange | FitExtents
ImPlotAxis * | OrthoAxis
ImPlotRange | ConstraintRange
ImPlotRange | ConstraintZoom
ImPlotTicker | Ticker
ImPlotFormatter | Formatter
void * | FormatterData
char | FormatSpec [16]
ImPlotLocator | Locator
double * | LinkedMin
double * | LinkedMax
int | PickerLevel
ImPlotTime | PickerTimeMin
ImPlotTime | PickerTimeMax
ImPlotTransform | TransformForward
ImPlotTransform | TransformInverse
void * | TransformData
float | PixelMin
float | PixelMax
double | ScaleMin
double | ScaleMax
double | ScaleToPixel
float | Datum1
float | Datum2
ImRect | HoverRect
int | LabelOffset
ImU32 | ColorMaj
ImU32 | ColorMin
ImU32 | ColorTick
ImU32 | ColorTxt
ImU32 | ColorBg
ImU32 | ColorHov
ImU32 | ColorAct
ImU32 | ColorHiLi
bool | Enabled
bool | Vertical
bool | FitThisFrame
bool | HasRange
bool | HasFormatSpec
bool | ShowDefaultTicks
bool | Hovered
bool | Held

The documentation for this struct was generated from the following file:

- include/vsgImGui/implot_internal.h